## org.h2.dev.util
Class ReaderInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.dev.util.ReaderInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class ReaderInputStream

extends java.io.InputStream

The reader input stream wraps a reader and convert the character to the UTF-8 format.

Constructor Summary
`ReaderInputStream(java.io.Reader reader)`

Method Summary
`int` `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderInputStream

    public ReaderInputStream(java.io.Reader reader)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`